from sqlalchemy import create_engine
from sqlalchemy.orm import scoped_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base

from gestor import configs

db_str = configs.DATABASE_NAME
#db_str = configs.DATABASE_NAME+"/"+configs.DATABASE_USERNAME+"/"+configs.DATABASE_PASSWORD

engine = create_engine( db_str , convert_unicode=True )

db_session = scoped_session(sessionmaker(autocommit=False,
                                         autoflush=False,
                                         bind=engine))
Base = declarative_base()
Base.query = db_session.query_property()

def init_db():
    # import all modules here that might define models so that
    # they will be registered properly on the metadata. Otherwise
    # you will have to import them first before calling init_db()
    from gestor import models

    Base.metadata.create_all(bind=engine)


